Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:       nodejs-i
Version:    0.3.2
Release:    alt1_9
Summary:    Custom inflections for Node.js
License:    MIT
URL:        https://github.com/pksunkara/inflect
Source0:    http://registry.npmjs.org/i/-/i-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(vows)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/i
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/i

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/vows/bin/vows --spec $(find test -name '*-test.js')
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/i


%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_9
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_3
- fc import

* Sun Jul 28 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_2
- fc import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_1
- initial import

